#include <iostream>

using namespace std;
int main()
{
    int a, b, x, y;

    cin >> a >> b;
    cin >> x >> y;

    string prvi = "prvi";
    string drugi = "drugi";
    string nijedan = "nijedan";
    string upitnik = "?";

    //Ogranicenja
    if (((a >= 0 && a <= 100) && (b >= 0 && b <= 100)) && (x >= 0 && x <= a) && (y >= 0 && y <= b)) {

        //Nijedan
        if (a == x && b == y) {
            cout << nijedan << endl;
            return 0;
        }

        //Prvi
        else if (b == y)
        {
            cout << prvi << endl;
            return 0;
        }

        //Drugi
        else if (a == x)
        {
            cout << drugi << endl;
            return 0;
        }

        //Upitnik
        else {
            cout << upitnik << endl;
            return 0;
        }
    }

    else return 0;
}